Home

# Library goog.i18n.GraphemeBreak

Function Summary
| `applyLegacyBreakRules_(number prop_a, number prop_b) ⇒ boolean` There are two kinds of grapheme clusters: 1) Legacy 2)Extended. This method is to check for legacy rules.
| `getBreakProp_(number acode) ⇒ number` Method to return property enum value of the codepoint. If it is Hangul LV or LVT, then it is computed; for the rest it is picked from the inversion map.
| `hasGraphemeBreak(number a, number b, boolean= opt_extended) ⇒ boolean` There are two kinds of grapheme clusters: 1) Legacy 2)Extended. This method is to check for both using a boolean flag to switch between them.